#63 libtool issue on build

2.0-dev-series
closed
nobody
build (39)
7
2012-09-15
2003-12-05
Andy Piper
No

Reported by Anders Petersson:

Building on Debian sid (unstable)

/bin/sh ../../libtool --mode=link distcc -g -O2
-ftemplate-depth-25
-o gnomesword2 about_gnomesword.o about_modules.o
about_sword.o
bibletext.o bibletext_dialog.o bibletext_menu.o
bookmarks_menu.o
bookmarks_treeview.o cipher_key_dialog.o commentary.o
commentary_dialog.o commentary_menu.o dialog.o dictlex.o
dictlex_dialog.o dictlex_menu.o display_info.o dummy.o
editor.o
editor_menu.o editor_replace.o editor_spell.o
fileselection.o
find_dialog.o font_dialog.o gbs.o gbs_dialog.o
gbs_display.o gbs_menu.o
gnomesword.o gtkhtml_display.o gui.o hints.o history.o
html.o
main_menu.o main_window.o parallel_view.o
parallel_dialog.o percomm.o
preferences_cell_renderer.o preferences_dialog.o
search_dialog.o
search_sidebar.o setup_druid.o sidebar.o
sidebar_dialog.o splash.o
studypad.o studypad_dialog.o toolbar_edit.o toolbar_nav.o
toolbar_style.o utilities.o -pthread -Wl,--export-dynamic
-L/usr/X11R6/lib -lgtkhtml-3.0 -lgtkhtml-a11y-3.0
-lgnomeui-2 -lSM -lICE
-lgnomeprintui-2-2 -lbonoboui-2 -lgnome-2 -lpopt
-lbonobo-2 -lgconf-2
-lgnomevfs-2 -lbonobo-activation -lORBit-2
-lgthread-2.0 -lgnomecanvas-2
-lpangoft2-1.0 -lgal-2.0 -lgal-a11y-2.0 -lglade-2.0
-lgnomeprint-2-2
-lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0
-lpangoxft-1.0
-lpangox-1.0 -lart_lgpl_2 -lpango-1.0 -lgobject-2.0
-lgmodule-2.0 -ldl
-lglib-2.0 -lxml2 -lpthread -lz -lm -lsword -pthread
-Wl,--export-dynamic -L/usr/X11R6/lib -lgnomeui-2 -lSM
-lICE
-lbonoboui-2 -lgnomecanvas-2 -lgnome-2 -lpopt -lart_lgpl_2
-lpangoft2-1.0 -lbonobo-2 -lgconf-2 -lgnomevfs-2
-lbonobo-activation
-lORBit-2 -lgthread-2.0 -lglade-2.0 -lgtk-x11-2.0
-lxml2 -lpthread -lz
-lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm
-lpangoxft-1.0 -lpangox-1.0
-lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
../../src/main/libmain.a ../../src/backend/libbackend.a
libtool: link: cannot find the library `'

This has been shown to be an incompatibility between
the gtkhtml-3.0 packages and the libtool included when
doing "make dist".

Using either the system libtool or passing the link
line to gcc directly makes it work.

Discussion

  • Johannes Rohr

    Johannes Rohr - 2004-01-03

    Logged In: YES
    user_id=156811

    I've just been bitten by this on Debian GNU/Linux unstable.
    Any workaround available? libtool 1.5

     

Log in to post a comment.